#
# spec file for package nodejs-readable-stream
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name readable-stream

Name:           nodejs-readable-stream
Version:        2.0.2
Release:        15.1
Summary:        Streams2, a user-land copy of the stream library from Node.js v0.10.x
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/readable-stream
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Node-core streams for userland. This package is a mirror of the Streams2 and
Streams3 implementations in Node-core. If you want to guarantee a stable
streams base, regardless of what version of Node you, or the users of your
libraries are using, use readable-stream only and avoid the "stream" module in
Node-core.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{base_name}
cp -pr package.json lib *.js \
        %{buildroot}%{nodejs_sitelib}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE doc
%{nodejs_sitelib}/%{base_name}

%changelog
* Thu Jul 30 2015 i@marguerite.su
- update version 2.0.2
* Tue Jun 30 2015 i@marguerite.su
- update version 1.1.13
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 1.0.33
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Tue Sep 23 2014 i@marguerite.su
- LICENSE file contains the wrong license, don't install it.
* Mon Sep 22 2014 i@marguerite.su
- update version 1.0.32
* Tue Aug 19 2014 jgleissner@suse.com
- Initial build
